Introduction

Dear User, thank you for choosing my product!

Alarm Master (Plus) is a multifunctional, personal organizer that includes an alarm clock, a scheduler and a timer. The original interface is based on a traditional clock design, with hour, minute and second hands.
Alarms can be set to remind you about important events by playing your favorite music or video clip (MP3, MPG, AVI, etc.), displaying a notification message, opening a document, or starting any program you choose.
Almost unlimited number of alarms can be set for the current date, or any future date. In addition, special templates can be used for repeated events, no matter if they occur daily, weekly, monthly, or yearly. This feature allows you organize your daily schedule, keep track of business meetings, course attendance, monthly bill payments, birthdays, anniversaries, etc.
The program supports multi-user mode under Win NT/ Win 2000/ Win XP. Every user has private Alarm Master data and settings.
The program supports skins.

Example. Here is an easy example. Let’s say that you are working at your computer, and would like to stop at 4:00pm to do something else. Double click on the systray icon to open Alarm Master. Using the mouse, drag the mark to 16:00 on the clock face and click. The Alarm Properties Dialog Box will automatically appear. Enter a reminder message (optional), and press the OK button. Hide the Alarm Master window by clicking on the “Hide” button at the top. At exactly 16:00, a small message box will appear on your screen, and an alarm will sound reminding you to stop.


Start Up Process

1. Start Up Process

Installation process puts Alarm Master Icon in the Window Startup folder. So the program runs automatically whenever the computer turns on. The Alarm Master Icon is placed on the System Tray Bar (right lower corner of the screen). To view the Alarm Master window, double click on this icon. To hide Alarm Master, click on the "Hide" button or "-" button. Also you can use the Pop Up Menu that opens by right mouse button click on the system tray icon. The tray icon tool tip shows list of today active alarms if they are present. 'Z.z.z' in an alarm tool tip string means 'Snooze'.


Alarm Operations

2. Alarm Operations

2.1. New Alarm Creating
2.2. Editing and Removing Alarm
2.3. Using Periodical Alarms


New Alarm Creating

2.1. New Alarm Creating

You can create an alarm for any date and any time. You can also create templates for periodical events. There are some ways to create a new alarm.
1) Using the Round Scale Control. Choose the date in the Calendar Control. Using mouse choose the time in the Round Scale Control and click the left mouse button. Use Alarm Properties Dialog Box to set the alarm options.
2) Using the "New" Button. Press "New" Button. The dialog opens. Use Alarm Properties Dialog Box to set the alarm date, the alarm time and other alarm options.
3) Using the "List" Button. Press "List" Button. The List Dialog Box opens. Press "New" Button. The Alarm Properties Dialog Box opens. Use it to set the alarm date, the alarm time and other alarm options.
4) Using Calendar Control. Please double click the target date in the month window to open the Alarm Properties Dialog Box.

Important Notes:
You can change the date of the alarm. So, the operation date before creating the alarm and the operation date after could be different.

See also:
Round Scale Control
Calendar Control
Alarm Properties Dialog Box
List Dialog Box


Editing and Removing Alarm

2.2. Editing and Removing Alarm

First click on the appropriate calendar date. The alarms will appear on the clock picture as either colored or gray lines (depending if the date has passed or not). There are two ways of alarm editing.
1) Using the Round Scale Control. Move the mouse over the alarm line that you wish to edit. When the mouse is directly over the line, the line will turn red. Click on the line to open the Alarm Properties Dialog Box. Change the alarm options. Also you can click the right mouse button to open Scale Pop Up menu. It has Edit and Delete points.
2) Using the List Dialog Box. Press the "List" button. The List Dialog Box opens. Double click left mouse button on the alarm in the list. Alarm Properties Dialog Box will open. Change the alarm options or remove it using the "Remove" button. The other way to remove an alarm is to select it in the list and to press "Remove" button. You can select several alarms and remove them by one operation.

Important Notes:
You can change the date of the alarm. So, the date before the alarm creating and the date after could be different.

See also:
Round Scale Control
Calendar Control
Alarm Properties Dialog Box
List Dialog Box


Using Alarm Templates

2.3. Using Periodical Alarms

We often need to set reminders for recurring events: We watch the same TV program every evening, go to the bank every Friday, or pay taxes once a year. Use the Alarm Master Templates of Periodical Alarms to remind you about such important events. To set template use correspondent radio buttons and check boxes of the Alarm Properties Dialog Box.
Use a daily template for every day alarm.
Weekly template allow you to set alarm for certain days of the week. For example you need some alarm for Friday. Choose Occurs Weekly and set "Fri" check box. Press "OK". The calendar will show next Friday. It is this way because a user has to see the alarm mark on the scale after creating it. The alarm will not be shown on other days of week.
Monthly template works on a monthly basis. Remember that the number of days may vary with the month. If you want to have alarm in the end of every month it is better to use "before the month end" point.
You can set start and end dates or start date and number of events for daily, weekly and monthly templates. Also you can set frequency (for example, every second week). The start date automatically align to begin of a template period (for example the first day of the week), the end date automatically align to the end of period (for example the last date of a week).
Yearly template allows set alarm for a month and its day. It will repeat every year.
You can choose Occurs Once to set an alarm that will be activated in the indicated time and date only once. It is default.
You can get the total templates list using the List Dialog Box.

Important Notes:
You can change the operation date while making the template. So, the operation date before creating the alarm and the operation date after could be different. The operation date is the current in the calendar of the main window.

 See also:
Alarm Properties Dialog Box
List Dialog Box
Round Scale Control


Playing Alarms

3. Playing Alarms

When the time comes the alarm is played. The alarm can appear as the Alarm Message Dialog Box, played as a sound, speech, media file, opened as a document or a program. Media files are played by the build-in player or by default player of your system (winamp, Window Media Player, etc.). If your computer is not working in the alarm time there are two ways. The first, the alarm is ignored. The other, the alarm will be played after the computer will switch on. There is the "Play alarm if over due" option in the Alarm Properties Dialog Box to control this process.
Please use Snooze combobox if you want secondary alarm playing. To stop snoozing press Stop button. To continue snoozing press Continue button.

Important Notes:
If sounds are switched off in the Options Dialog Box no alarm sounds will be played. It is independent from the "Sound On" option of alarm properties.

See also:
Alarm Properties Dialog Box
Options Dialog Box


Timer

4. Timer

Timer is an easy to set utility. Use the mouse to drag the timer handle to the period you want to set. Release the handle to begin the timer. When the time period is over, the alarm message window will appear indicating how much time has passed, and an alarm will play, if the sound option has been set (see Options Dialog Box). The timer has two hours maximum.

See also:
Options Dialog Box


Free Notes

5. Free Notes

Free Notes button opens the Windows Notepad application. It is very useful for creating short notes that must be at hand. You can open the notes file using right mouse button click on the systray Icon. Advantages of such using the Notepad: very easy to find the file with notes and only one copy of Notepad program opens with this file.


Program Controls

6. Program Controls

6.1. Round Scale Control
6.2. Timer Control
6.3. Calendar Control


Round Scale Control

6.1. Round Scale Control

The Round Scale Control is used to set and demonstrate Alarm Marks. The control has three modes AM, PM and 24 Hour. These are used for setting times only, and must be changed manually. Alarms can be entered for any time and date, past or future. However, no alarm will ring for past events. The program distinguishes between future and past events by using different colored lines on the clock face. Upcoming events are displayed on the clock with various colored lines, past events are marked with gray lines. Snoozing events are marked by small red circles on the lines ends.
While you move the mouse cursor over the scale tooltips are shown. On the free place they demonstrates the time that will be used if the alarm will be set. On the marks they demonstrates short information about alarm: the alarm time, the alarm type, and a small part of the alarm notes.
Click the scale in the free space to set the alarm. Click the alarm mark to edit or remove it. The alarm mark must become red while clicking.
Also you can use the Scale Pop Up Menu. It is opened by the right button mouse click and has the Edit and Delete points.
The same operations are present in the List Dialog Box.

See also:
Alarm Properties Dialog Box
List Dialog box
Using Alarm Templates


Timer Control

6.2. Timer Control

Use the mouse to drag the timer handle to the period you want to set. Release the handle to begin the timer. When the time period is ended, the alarm message window will appear indicating how much time has passed, and an alarm will play, if the sound option has been set (see Options Dialog Box). The timer has two hours maximum.

See also:
Options Dialog Box


Calendar Control

6.3. Calendar Control

To set the operating date click the date in the calendar window. All Alarm Marks will be preset to this date during creating. You can change this date directly from Alarm Properties Dialog Box. Use "<" and ">" buttons to change month and year. If you want to return the calendar to current date, press "today" button, please.
The dates that have non-templates alarms are marked by bold font as default. You can switch on/off this property from the Options Dialog Box.
You can double click the target date to create the new alarm. The calendar control context menu allows you create new alarm or open the List Dialog Box.

See also:
Alarm Properties Dialog Box
Options Dialog Box


Program Dialog Boxes

7. Program Dialog Boxes

7.1. Alarm Properties Dialog Box
7.2. List Dialog Box
7.3. Options Dialog Box


Alarm Properties Dialog Box

7.1. Alarm Properties Dialog Box

7.1.1 Main parameters

Time Picker and Date Picker are used for date and time changing. If you change the date new date will be used as operation date after you leave dialog window. Date picker sets the date fore a once played alarm and a yearly alarm. Please operate starting and ending period dates for weekly and monthly alarms (if it is necessary).
Show alarm message check box will enable or disable the alarm text message.
Message input field is used for entering text messages.
Play sound(music) check box enables or disables alarm sound. Please use the Sound Tab for setting of sound options.
Play alarm if overdue check box. Your PC can be switched off in the alarm time. If this check box is on you will receive a message immediately after the system will launch. If the check box is off overdue alarms will be ignored.
Snooze combo box allows to set the snoozing time. Snoozing alarm is repeated till you disable it.
Occurs combo box allows to choose the periodical template. Once, daily, weekly, monthly and early templates are available. You can set additional parameters for a template on the Period Tab.

OK button creates the new alarm or saves changes to the editing alarm.
Cancel button breaks creating the new alarm or editing the old one.

7.1.2 Period Tab

The Period Tab allows to operate by periodical template parameters. The tab content dependences from the template. "Occurs once" template and yearly template have not operation fields on the tab.
Daily, weekly and monthly templates. User can enter a start date and a end date of an alarm, or a start date and a number of event days, weeks, months. Dates for weekly and monthly templates align to a week (month) begin(end) automatically. It can cause problems for entering. Please use dropping monthly calendar if you cannot enter data by digits.
Weekly template allows to set weekly due (1...7 events per week).
Monthly template allows to set days from the begin of the month or from the end. The last day from the end is 1.

7.1.3 Sound Tab

Alarm Master does not come with it's own sound files, and by default, uses some Windows sound file. Other default sound can be defined using the Options Dialog Box. You can replace the default sound for current alarm with other sound files that come with your operating system. To find a sound file, press "Browse" button. For Windows 98, Windows ME, Windows XP many wav files can be found in the "Windows\Media" folder. In Windows 2000 and Windows NT, they are stored in the "Winnt\Media" folder. For Some wav sounds are included in MS Office and other products. These can be located using the Windows search engine. To set sound options please use the Sound Tab. You can choose a music or video file. You can use the inside program player or the default system player. The system player executes in own window. The sound can be played once or repeated continuously. Please switch on check box Repeat for repeating. Your text alarm message can be read by your system aloud. Please use correspondent switch box to switch on this option.

7.1.4 Actions Tab

Run program check box. Use it to start a program at the scheduled alarm time. You can enter a program name and try it immediately, using the Try button. In addition to programs, this choice can open any file whose extension is known to your operation system. As with the media file, the program or file must be accessible to the computer at the time the alarm goes off.
Shut down PC check box. When this option is switched on, your PC will be shut down in the alarm time.

See also:
Using Alarm Templates
Options Dialog Box


List Dialog Box

7.2. List Dialog Box

Use the "List" button to open the List Dialog Box.
There are three list types: "This Date Alarms", "All Target Date Alarms" and "All Periodical Alarms". You can choose the type that you need using the combo box control.
Double click left mouse button to edit the alarm. New button creates the new alarm. To delete the alarm from the list select it by the mouse click and press the Remove button. You can also select some rows with a mouse using Ctrl or Shift keys. The warning message box will appear before deleting.
The List Context Menu allows you create a new alarm, edit or remove the selected one.

Important Notes:
The Type column demonstrates the alarm template type. Weekly template type is outputted as a set of corresponding weekdays short names. Two-symbols weekday names are used: Su, Mo, Tu, We, Th, Fr, Sa.

See also:
Alarm Properties Dialog Box
Using Alarm Templates


Options Dialog Box

7.3. Options Dialog Box

Use the "Options" button to open the List Dialog Box.
Skin Combo Box is used for the skin choosing. You can download skins from http://brigsoft.com/alarmmaster page.
Start Media Folder Combo Box sets the start folder for media files browsing. Windows stores its sounds in the Windows\Media folder. The standard folder for a user media is My Documents\ My Music. You can choose "Non" if you store your sounds in other place. The last opened folder will be used in this case.
Time Sound option allow you to choose the sound of your timer alarms.
Default Alarm Sound option allow you to choose the default sound of your clock alarms. This sound can be redefined for any clock alarm using Alarm Properties Dialog Box.
Alarm Master does not come with it's own sound files, and by default, uses some Windows sound file. You can replace the default sound with other sound files that come with your operating system or other software. To find a sound file, press "Browse" button. For Windows 98, Windows ME, Windows XP many wav files can be found in the "Windows\Media" folder. In Windows 2000 and Windows NT, they are stored in the "Winnt\Media" folder. For Some wav sounds are included in MS Office and other products. These can be located using the Windows search engine.
Alarm Master supports a lot of media files includes mp3, wav, mpg, avi. When the alarm time arrives, Alarm Master will play the media file using its inside player or a system default media player.
Sounds on check box turns the basic sound on or off. Turning sounds off does not affect the display message.
Timer Sound Repeat check box turns the timer sound loop on or off.
Mark calendar dates that have alarms check box sets the calendar mode in which the dates that have non-templates alarms are shown in a bold font.
Show scale calendar check box switches on/off the text calendar on the clock scale. Please use the correspondent combo boxes to switch/on/off fields of the scale calendar.

See also:
Alarm Properties Dialog Box
Calendar Control
Skins


Hot keys

8. Hot keys

Esc, Alt+F4 - Exit
F1 - Help
Del - deletes the selected rows in the List Dialog Box.


Skins

9. Skins

All skins are stored in the Skin folder that is placed in the Alarm Master directory. Every skin has its own subfolder. To install a skin download it and unzip in the Skin subfolder of the Alarm Master (Alarm Master Plus) folder. You can create your own skin. Skin creating guide and download links are placed on http://brigsoft.com/alarmmaster/skins.shtml .

See also:
Options Dialog Box


Product Support

10. Data Backup

All application data is stored in the folder My Documents\AlarmMaster.
To store all your alarms it is enough backup this folder.


Product Support

11. Update Process

To update your product:
1) Download new version from http://www.brigsoft.com
2) Exit the application
3) Start uninstall process by usual way.
4) Start installation of the new version.

The installation does not delete your old data.


Product Support

12. Product Support

Dear user, we are glad to receive your letter. We are always ready to help. It is always a pleasure to know your opinion about our products. If you need some additional program properties we will try to realize them in the next versions.

Support page: http://www.brigsoft.com/support
Home page: http://www.brigsoft.com


Uninstalling

 13. Uninstalling

Make sure that you exit Alarm Master before uninstalling it; otherwise, Windows Uninstall will not delete the program folder. If you forget to exit Alarm Master, you can delete the program folder manually using the Windows Explorer. The default folder for Alarm Master is C:\Program files\BrigSoft\AlarmMaster. The default folder for Alarm Master Plus is C:\Program files\BrigSoft\AlarmMasterPlus. Deleting the folder manually will not cause damage to any other Windows programs or components.


PC Clock Synchronizing

14. PC Clock Synchronizing

In order to have alarms at the right time you need right time of your PC Clock. The best way is to use synchronizing programs. If you don’t have such program, you can try our product PC Atomic Sync.


Topic

Alarm Master,
Alarm Master Plus

Introduction
Easy Help

1. Start up process
2. Alarm Operations
2.1. New Alarm Creating
2.2. Editing and Removing Alarm
2.3. Using Periodical Alarms
3. Playing Alarms
4. Timer
5. Free Notes
6. Program Controls
6.1. Round Scale Control
6.2. Timer Control
6.3. Calendar Control
7. Program Dialog Boxes
7.1. Alarm Properties Dialog Box
7.2. List Dialog Box
7.3. Options Dialog Box
7.4. Weeks Counter Dialog Box
8. Hot keys
9. Skins
10. Data Backup
11. Update process
12. Product Support
13. Uninstalling
14. PC Clock Synchronizing

Copyright © BrigSoft.com, 2003, 2004


Options Dialog Box

7.4. Weeks Counter Dialog Box

The week number can be shown in the clock scale. The counter beginning can be set from any week of the year. It is useful sometime. For example, you are a student. So your weeks counter may start in September.

Some local calendars start a week from Sunday others from Monday. You can choose any week beginning day that suits for you.

Sunday / Monday radio buttons set the beginning day of a week.
The firs week begins combo box sets the first counter week to correspondent week of the year.

See also:
Options Dialog Box